Cyberduck Mountain Duck CLI

#5747 closed defect (fixed)

Downloading files to an external harddrive not mounted creates a new folder

Reported by: Barret Oliver Owned by:
Priority: normal Milestone: 4.1
Component: core Version: 3.8.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.5

Description

When you set Cyberduck's preferences to save downloaded FTP files to external media (for example, an external hard-drive) and then you download a file while that external hard-drive is ejected, instead of asking where you want the file saved or defaulting the save to the desktop, Cyberduck creates a new folder with the same name in the hidden folder "Volumes."

I wouldn't have known this had I not seen the name of the external drive pop up in DiskWarrior even though it wasn't connected. I then had to use TinkerTool to find the hidden folder "Volumes" and find the newly created folder with the same name as my external hard-drive. Also, the file that Cyberduck downloaded was also placed in the hidden "Volumes" folder.

Attachments (1)

Download Failed.png (29.7 KB) - added by dkocher on Jun 3, 2011 at 8:36:28 AM.

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Mar 8, 2011 at 8:52:36 AM by dkocher

  • Milestone set to 4.1

Currently we always create missing parent folders of the download location. Either try to be smart for special paths or fail downloads when the download location is not available.

comment:2 Changed on Mar 8, 2011 at 8:54:23 AM by dkocher

  • Summary changed from Saving FTP files to an external harddrive when it's not connected creates a new folder in hidden folder volumes to Downloading files to an external harddrive not mounted creates a new folder

comment:3 follow-up: Changed on Mar 8, 2011 at 12:53:57 PM by Barret Oliver

It's not the fact that Cyberduck creates an new folder that's a problem. Cyberduck creates a new folder inside the hidden folder Volumes and then downloads files into it. Mac OS does not show hidden folders and the average Mac user does not know how to view hidden folders (as the hidden folders are usually reserved for the operating system). A user of Cyberduck could download a gigabyte file which then "vanishes" completely from his computer, yet the file is now hidden and taking up a gigabyte of space. This to me seems like a big defect.

comment:4 in reply to: ↑ 3 Changed on Mar 8, 2011 at 1:04:34 PM by dkocher

Replying to Barret Oliver:

It's not the fact that Cyberduck creates an new folder that's a problem. Cyberduck creates a new folder inside the hidden folder Volumes and then downloads files into it. Mac OS does not show hidden folders and the average Mac user does not know how to view hidden folders (as the hidden folders are usually reserved for the operating system). A user of Cyberduck could download a gigabyte file which then "vanishes" completely from his computer, yet the file is now hidden and taking up a gigabyte of space. This to me seems like a big defect.

Thanks for the clarification.

Changed on Jun 3, 2011 at 8:36:28 AM by dkocher

comment:5 Changed on Jun 3, 2011 at 8:36:59 AM by dkocher

I cannot replicate the issue here. I get the following error when attempting to download to a volume not mounted.

comment:6 Changed on Jun 3, 2011 at 8:52:02 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Added check that volume exists nonetheless. In r8749.

comment:7 Changed on Jun 4, 2011 at 2:06:07 AM by Barret Oliver

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:8 Changed on Jun 4, 2011 at 2:09:05 AM by Barret Oliver

Try creating a TrueCrypt virtual disk on your Mac desktop http://www.truecrypt.org/ then set Cyberduck's preferences to download into that Virtual Disk while the disk is open. Later, if that disk is ejected and is not on the desktop, if you download an FTP file via Cyberduck (with the preference setting to the TrueCrypt disk), CyberDuck will create a hidden file in the system folder with the name of the TrueCrypt disk and download it into that.

The same goes with PGP virtual disks.

comment:9 Changed on Jun 4, 2011 at 11:20:29 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Please try the snapshot build of 4.1 (8755 or newer) where this issue is resolved.

Note: See TracTickets for help on using tickets.
swiss made software